export class EdelShowcaseItemComponent {
    constructor() {
        this.demoBody = false;
    }
    render() {
        const bodyClass = this.demoBody ? 'edelui-demobody' : 'example';
        return (h("div", { class: "edelui-showcase" },
            h("div", { class: "edelui-showcase-entry" },
                h("div", { class: "edelui-showcase-desc" },
                    this.label,
                    h("pre", null, this.selector)),
                h("div", { class: bodyClass },
                    h("slot", null)))));
    }
    static get is() { return "edel-showcase-item"; }
    static get properties() { return {
        "demoBody": {
            "type": Boolean,
            "attr": "demo-body"
        },
        "label": {
            "type": String,
            "attr": "label"
        },
        "selector": {
            "type": String,
            "attr": "selector"
        }
    }; }
}
